# S2MLCore version 1.1.1
# S2MLCore.py
# by Antoine Rauzy
# Copyrights (c) 2018-2022 AltaRica Association
#
# This file is part of S2MLCore.
# S2MLCore is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# S2MLCore is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with S2MLCore.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Domains
# 3) Statistics
# 4) MetaModel
# 5) Models
# 6) Matrices
# 7) Interface
# 8) Tools

# 1) Imported modules
# -------------------

import string
import sys
import os
import re
import math

s2mlCoreDirectory = os.path.dirname(os.path.realpath(__file__))

# 2) Domains
# ----------

sys.path.insert(0, os.path.join(s2mlCoreDirectory, "Domains"))
from S2MLDomains import *

# 3) Statistics
# -------------

sys.path.insert(0, os.path.join(s2mlCoreDirectory, "Statistics"))
from S2MLStatistics import *

# 4) MetaModel
# ------------

sys.path.insert(0, os.path.join(s2mlCoreDirectory, "MetaModel"))
from S2MLMetaModel import *

# 5) Models
# ---------

sys.path.insert(0, os.path.join(s2mlCoreDirectory, "Models"))
from S2MLModels import *

# 6) Matrices
# -----------

sys.path.insert(0, os.path.join(s2mlCoreDirectory, "Matrices"))
from S2MLMatrices import *

# 7) Interface
# ------------

sys.path.insert(0, os.path.join(s2mlCoreDirectory, "Interface"))
from S2MLInterface import *

# 8) Tools
# --------

sys.path.insert(0, os.path.join(s2mlCoreDirectory, "Tools"))
from S2MLTools import *
