# Janos version 1.2.1
# JanosInterpreter.py
# by Antoine Rauzy
# Copyrights (c) 2018-2022 AltaRica Association
#
# This file is part of Janos, a pedagogical implementation of graphs as a modeling tool.
# Janos is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Janos is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with Janos.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Creator

# 1) Imported modules
# -------------------

from S2MLCore import *

from JanosScriptPrinter import *
from JanosScriptParser import *
from JanosScriptChecker import *

# 2) Creator
# ----------

class JanosInterpreter(S2MLInterpreter):
  def __init__(self, engine):
    S2MLInterpreter.__init__(self, engine)

# 3) Access methods
# -----------------

  def CreateTools(self):
    self._scriptPrinter = JanosScriptPrinter(self._engine)
    self._scriptParser = JanosScriptParser(self._engine)
    self._scriptChecker = JanosScriptChecker(self._engine)


