# Janos version 1.2.1
# JanosScriptChecker.py
# by Antoine Rauzy
# Copyrights (c) 2018-2022 AltaRica Association
#
# This file is part of Janos, a pedagogical implementation of graphs as a modeling tool.
# Janos is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Janos is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with Janos.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Creator
# 3) Builtin command compute

# 1) Imported modules
# -------------------

from S2MLCore import *

# 2) Creator
# ----------

class JanosScriptChecker(S2MLScriptChecker):
  def __init__(self, engine):
    S2MLScriptChecker.__init__(self, engine)

# 3) Builtin command compute
# --------------------------

  # compute observers block-name
  def CheckCommandCompute(self, command):
    error = self.CheckNumberOfArgumentsOfCommand(command, 2)
    if error!=0:
      return 1
    what = self.GetCommandArgumentAsIdentifier(command, 0)
    if what==None:
      return 1
    if what!="observers":
      self.RaiseErrorInCommand(command, "Incorrect argument {0:s}\n".format(what))
      return 1
    blockName = self.GetCommandArgumentAsIdentifier(command, 1)
    if blockName==None:
      return 1
    error = self.CheckOptions(command)
    if error!=0:
      return 1
    return 0

